<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateImageWithDescServicesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('image_with_desc_services', function (Blueprint $table) {
            $table->id();

            $table->string('image');
            $table->longText('desc_ar');
            $table->longText('desc_en');

            $table->foreignId('service_id')->constrained('services')->onDelete('cascade');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('image_with_desc_services');
    }
}
